import request from '@/utils/request'

export function getCommonDiagnoseList(params) {
  return request({
    url: '/app/commonDiagnose/list',
    method: 'get',
    params
  })
}

export function addCommonDiagnose(data) {
  return request({
    url: '/app/commonDiagnose/add',
    method: 'post',
    data
  })
}

export function editCommonDiagnose(data) {
  return request({
    url: '/app/commonDiagnose/edit',
    method: 'post',
    data
  })
}

export function deleteCommonDiagnose(id) {
  return request({
    url: `/app/commonDiagnose/delete/${id}`,
    method: 'post'
  })
}
